import request from '@/utils/request'

//查询列表
export function getList(data){
  return request({
    url:'/house/mobile/nmfwly/list',
    method:'get',
    params:data
  })
}

//删除列表项
export function nmfwlyRemove(id){
  return request({
    url:'/house/nmfwly/remove/'+id,
    method:'get'
  })
}

//宅基地流转详情
export function getZjdly(id){
  return request({
    url:'/house/nmfwly/get/'+id,
    method:'get'
  })
}

//宅基地流转详情
export function nmfwlyAdd(data){
  return request({
    url:'/house/nmfwly/add',
    method:'post',
    data:data
  })
}

//宅基地流转保存
export function nmfwlyEdit(data){
  return request({
    url:'/house/nmfwly/edit',
    method:'post',
    data:data
  })
}

//宅基地流转提交
export function zyyctcApply(id){
  return request({
    url:'/house/zyyctc/submitApply/'+id,
    method:'post',
  })
}

//上传图片
export function upload(data){
  return request({
    url:'/common/upload',
    method:'post',
    headers:{'Content-Type': 'application/x-www-form-urlencoded;boundary=----WebKitFormBoundary7MA4YWxkTrZu0gW'},
    data:data
  })
}
